# AbstractBackend Class Reference

### [com.trolltech.qt.phonon package]

### Constructor

- void AbstractBackend()

### Constructor Properties

- prototype: The AbstractBackend prototype object
- MediaObjectClass
- VolumeFaderEffectClass
- AudioOutputClass
- AudioDataOutputClass
- VisualizationClass
- VideoDataOutputClass
- EffectClass
- VideoWidgetClass
- Class( value )

### Prototype Object Properties

- List availableMimeTypes()
- bool connectNodes(QObject arg__1, QObject arg__2)
- QObject createObject(Class c, QObject parent, List args)
- bool disconnectNodes(QObject arg__1, QObject arg__2)
- bool endConnectionChange(Set arg__1)
- List objectDescriptionIndexes(ObjectDescriptionType type)
- HashMap objectDescriptionProperties(ObjectDescriptionType type, int index)
- bool startConnectionChange(Set arg__1)

### Instance Properties

AbstractBackend objects have no special properties beyond those inherited from the AbstractBackend prototype object.